Skip to main content
Contract / Budgets

Insert new contract budgets

This method requires the ContractBudgets:Insert permission to be associated with your role. The ContractSuspended 422 validation key is returned for a Contract carrying a Suspend Date only where the tenant's fm / invoice_suspended_contracts_flag global control is not set to yes; where it is yes, an adjustment may be inserted on a suspended (or terminated) Contract.

POST
/fm/contract/budgets/insert
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
Audit-User-Idstringheader

(Optional) User Id to use for audit purposes. This header requires the Audit:UserIdOverride permission to be associated with your role.

Maximum string length: 5
Pattern: ^[1-9]{1}[0-9]*$

Body

application/json

JSON payload

itemsobject[]

Response

application/vnd.catch-e-api.v1+json

Contract budgets created successfully

affected_recordsinteger
Example: 123